Get folder information
Retrieves details for a folder, including the first 100 entries in the folder.
Passing sort, direction, offset, and limit parameters in query allows you to manage the list of returned folder items.
To fetch more items within the folder, use the Get items in a folder endpoint.
Authorizations
Headers
The URL, and optional password, for the shared link of this item.
This header can be used to access items that have not been explicitly shared with a user.
Use the format shared_link=[link] or if a password is required then use shared_link=[link]&shared_link_password=[password].
This header can be used on the file or folder shared, as well as on any files or folders nested within the item.
Path Parameters
The unique identifier that represent a folder.
The ID for any folder can be determined by visiting this folder in the web application and copying the ID from the URL. For example, for the URL https://*.app.box.com/folder/123 the folder_id is 123.
The root folder of a Box account is always represented by the ID 0.
Query Parameters
A comma-separated list of attributes to include in the response. This can be used to request fields that are not normally returned in a standard response.
Be aware that specifying this parameter will have the effect that none of the standard fields are returned in the response unless explicitly specified, instead only fields for the mini representation are returned, additional to the fields requested.
Additionally this field can be used to query any metadata applied to the file by specifying the metadata field as well as the scope and key of the template to retrieve, for example ?fields=metadata.enterprise_12345.contractTemplate.
Defines the second attribute by which items are sorted.
The folder type affects the way the items are sorted:
-
Standard folder: Items are always sorted by their
typefirst, with folders listed before files, and files listed before web links. -
Root folder: This parameter is not supported for marker-based pagination on the root folder
(the folder with an id of 0).
- Shared folder with parent path to the associated folder visible to the collaborator: Items are always sorted by their
typefirst, with folders listed before files, and files listed before web links.
id, name, date, size The offset of the item at which to begin the response.
Offset-based pagination is not guaranteed to work reliably for high offset values and may fail for large datasets. In those cases, reduce the number of items in the folder (for example, by restructuring the folder into smaller subfolders) before retrying the request.
Response
Returns a folder, including the first 100 entries in the folder. If you used query parameters like sort, direction, offset, or limit the folder items list will be affected accordingly.
To fetch more items within the folder, use the Get items in a folder) endpoint.
Not all available fields are returned by default. Use the fields query parameter to explicitly request any specific fields.
A full representation of a folder, as can be returned from any folder API endpoints by default.
A numeric identifier that represents the most recent user event that has been applied to this item.
This can be used in combination with the GET /events-endpoint to filter out user events that would have occurred before this identifier was read.
An example would be where a Box Drive-like application would fetch an item via the API, and then listen to incoming user events for changes to the item. The application would ignore any user events where the sequence_id in the event is smaller than or equal to the sequence_id in the originally fetched resource.
"3"
The shared link for this folder. This will be null if no shared link has been created for this folder.
The folder_upload_email parameter is not null if one of the following options is true:
-
The Allow uploads to this folder via email and the Only allow email uploads from collaborators in this folder are enabled for a folder in the Admin Console, and the user has at least Upload permissions granted.
-
The Allow uploads to this folder via email setting is enabled for a folder in the Admin Console, and the Only allow email uploads from collaborators in this folder setting is deactivated (unchecked).
If the conditions are not met, the parameter will have the following value: folder_upload_email: null.
The tags for this item. These tags are shown in the Box web app and mobile apps next to an item.
To add or remove a tag, retrieve the item's current tags, modify them, and then update this field.
There is a limit of 100 tags per item, and 10,000 unique tags per enterprise.
1 - 100 elementsAn object containing the metadata instances that have been attached to this folder.
Each metadata instance is uniquely identified by its scope and templateKey. There can only be one instance of any metadata template attached to each folder. Each metadata instance is nested within an object with the templateKey as the key, which again itself is nested in an object with the scope as the key.
The shared link access levels the authenticated user is allowed to use when creating or updating a shared link for this folder.
The list depends on item policy and user authorization. For some folders, like the root folder, this is always empty as sharing is not allowed at that level.
The access level for a shared link.
open, company, collaborators Specifies if the folder can be accessed with the direct shared link or a shared link to a parent folder.
true
The collections that this folder belongs to.
For more information, see the collections guide.
